From d7cdef139e6cbf14a4e63daf5a8433332636ae75 Mon Sep 17 00:00:00 2001
From: Tommaso Cucinotta <tommaso.cucinotta@gmail.com>
Date: Thu, 26 Apr 2018 09:14:51 +0200
Subject: [PATCH] fix assert on MIDI/MSCZ file open (seems related to
 917561d5ce)

---
 mscore/timeline.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/mscore/timeline.cpp b/mscore/timeline.cpp
index 6a5ed6d20..67252e1e8 100644
--- a/mscore/timeline.cpp
+++ b/mscore/timeline.cpp
@@ -1019,7 +1019,7 @@ void Timeline::tempo_meta(Segment* seg, int* stagger, int pos)
       const std::vector<Element*> annotations = seg->annotations();
       for (Element* element : annotations) {
             if (element->isTempoText()) {
-                  Text* text = toText(element);
+                  TempoText* text = toTempoText(element);
                   qreal x = pos + (*stagger) * spacing;
                   if (addMetaValue(x, pos, text->plainText(), row, ElementType::TEMPO_TEXT, element, 0, seg->measure())) {
                         (*stagger)++;
-- 
2.16.2

